org.apache.felix.ipojo.manipulator.store.mapper

## Class FileSystemResourceMapper

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.store.mapper.FileSystemResourceMapper

All Implemented Interfaces:
  ResourceMapper

    public class FileSystemResourceMapper
    extends Object
    implements ResourceMapper

ResourceMapper mapping from and to system specific path..

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`FileSystemResourceMapper(ResourceMapper delegate)`
`FileSystemResourceMapper(ResourceMapper delegate, char separator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `externalize(String name)` Provides a normalized resource name from the store's internal format.
`String` `internalize(String name)` Adapts the normalized resource name into internal format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileSystemResourceMapper

    public FileSystemResourceMapper(ResourceMapper delegate)

#### FileSystemResourceMapper

    public FileSystemResourceMapper(ResourceMapper delegate,
                                    char separator)

### Method Detail

#### internalize

    public String internalize(String name)

Description copied from interface: `ResourceMapper`
Adapts the normalized resource name into internal format.

Specified by:
  `internalize` in interface `ResourceMapper`
Parameters:
  `name` - original class names (as a resource)
Returns:
  the transformed resource's name

#### externalize

    public String externalize(String name)

Description copied from interface: `ResourceMapper`
Provides a normalized resource name from the store's internal format.

Specified by:
  `externalize` in interface `ResourceMapper`
Parameters:
  `name` - resource name in internal format
Returns:
  normalized resource name